Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 666607 - www-misc/zoneminder-1.33.9 version bump
Summary: www-misc/zoneminder-1.33.9 version bump
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 3 votes (vote)
Assignee: No maintainer - Look at https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers if you want to take care of it
URL: https://github.com/ZoneMinder/zonemin...
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-20 08:28 UTC by CyberGuerro
Modified: 2019-08-15 07:30 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
ebuild updated with missing dep and new version 1.32.3 (zoneminder-1.32.3.ebuild,4.91 KB, text/plain)
2018-12-14 07:13 UTC, Willy Gardiol
Details
ebuild white space cleanups and missing dependency (zoneminder-1.32.3.ebuild,4.63 KB, text/plain)
2018-12-23 17:00 UTC, nic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description CyberGuerro 2018-09-20 08:28:13 UTC
Zoneminder's developers have released a new version of application (last one in portage is 1.30.4) with more bugfix and security issues.
It would be great if it will be in portage.
I think it's possible to use 1.30.4 ebuild version as kick-off for building new package.
You can try with it.
Comment 1 Sergiy Borodych 2018-10-11 20:47:49 UTC
New version 1.32.1 (2018-10-01) released
Comment 2 Willy Gardiol 2018-12-14 07:13:32 UTC
Created attachment 557760 [details]
ebuild updated with missing dep and new version 1.32.3

This ebuild is fixed for new 1.32.3 version. Also, two things where missing from previous ebuilds:

1. a symlink (from /var/cache/zoneminder to /usr/share/zoneminder/www/cache)
2. a dependency to Perl Number Human Binary.
Comment 3 Willy Gardiol 2018-12-14 07:14:05 UTC
Added new ebuild for 1.32.3 with two fixes (missing link + missing dependency)
Comment 4 CyberGuerro 2018-12-23 10:13:30 UTC
To make api working we have to make some changes to ebuild, these are change to do:

n apache configuration we have to add these directive:	

# For better visibility, the following directives have been migrated from the
# default .htaccess files included with the CakePHP project.
# Parameters not set here are inherited from the parent directive above.
<Directory "/usr/share/zoneminder/www/api">
   RewriteEngine on
   RewriteRule ^$ app/webroot/ [L]
   RewriteRule (.*) app/webroot/$1 [L]
   RewriteBase /zm/api
</Directory>

<Directory "/usr/share/zoneminder/www/api/app">
   RewriteEngine on
   RewriteRule ^$ webroot/ [L]
   RewriteRule (.*) webroot/$1 [L]
   RewriteBase /zm/api
</Directory>

<Directory "/usr/share/zoneminder/www/api/app/webroot">
    RewriteEngine On
    RewriteCond %{REQUEST_FILENAME} !-d
    RewriteCond %{REQUEST_FILENAME} !-f
    RewriteRule ^ index.php [L]
    RewriteBase /zm/api
</Directory>


We have to modifiy /usr/share/zoneminder/www/api/app/Plugin/Crud/Controller/Crud/CrudBaseObject.php (line 15)
from:
abstract class CrudBaseObject extends Object implements CakeEventListener {	

to:	
abstract class CrudBaseObject extends CakeObject implements CakeEventListener {	


We have to add CakePHP-Enum-Behavior plugin (folder exists in /usr/share/zoneminder/www/api/app/Plugin, but it's empty) downloading it from
https://github.com/asper/CakePHP-Enum-Behavior
Comment 5 nic 2018-12-23 17:00:00 UTC
Created attachment 558416 [details]
ebuild white space cleanups and missing dependency

Modified ebuild to corrected white-space inconsistencies as reported by repoman.

Added missing packaged dependency of dev-perl/JSON-MaybeXS
 /usr/bin/zmtelemetry.pl:use JSON::MaybeXS;


TODO:
*review comment containing checklist to packagers https://github.com/ZoneMinder/zoneminder/issues/2078#issuecomment-395094624
*git submodule fetch CakePHP-Enum-Behavior (as previously noted in this bug case)
*bump crud to git master or source from zoneminders fork instead https://github.com/ZoneMinder/crud


(thanks all for contributing)
Comment 6 CyberGuerro 2019-05-27 09:03:30 UTC
Totay I found that actual version of zoneminder is 1.33.9, so I changed title for this bug
Comment 7 Dag Bakke 2019-08-14 09:09:18 UTC
Worth noting that the zoneminder developer considers 1.33.x (x is currently 14) as an unstable development version, for betatesting only.